SDL_FormatInfo Struct Reference

## Data Fields

SDL_bool | left_justify
SDL_bool | force_sign
SDL_bool | force_type
SDL_bool | pad_zeroes
SDL_letter_case | force_case
int | width
int | radix
int | precision

## Detailed Description

Definition at line 1302 of file SDL_string.c.

## Field Documentation

SDL_letter_case SDL_FormatInfo::force_case

Definition at line 1308 of file SDL_string.c.

Referenced by SDL_PrintString(), and SDL_vsnprintf().

SDL_bool SDL_FormatInfo::force_sign

Definition at line 1305 of file SDL_string.c.

Referenced by SDL_PrintFloat(), and SDL_vsnprintf().

SDL_bool SDL_FormatInfo::force_type

Definition at line 1306 of file SDL_string.c.

Referenced by SDL_PrintFloat(), and SDL_vsnprintf().

SDL_bool SDL_FormatInfo::left_justify

Definition at line 1304 of file SDL_string.c.

Referenced by SDL_vsnprintf().

SDL_bool SDL_FormatInfo::pad_zeroes

Definition at line 1307 of file SDL_string.c.

Referenced by SDL_PrintFloat(), SDL_PrintString(), and SDL_vsnprintf().

int SDL_FormatInfo::precision

Definition at line 1311 of file SDL_string.c.

Referenced by SDL_PrintFloat(), and SDL_vsnprintf().

int SDL_FormatInfo::radix

Definition at line 1310 of file SDL_string.c.

Referenced by SDL_PrintLong(), SDL_PrintLongLong(), SDL_PrintUnsignedLong(), SDL_PrintUnsignedLongLong(), and SDL_vsnprintf().

int SDL_FormatInfo::width

Definition at line 1309 of file SDL_string.c.

Referenced by SDL_PrintFloat(), SDL_PrintString(), and SDL_vsnprintf().

The documentation for this struct was generated from the following file:

- src/stdlib/SDL_string.c